Extending Qt Creator Manual | InfoBarEntry

Extending Qt Creator Manual 4.5.2

# InfoBarEntry Class

(Core::InfoBarEntry)

- List of all members, including inherited members

## Public Types

enum | GlobalSuppressionMode { GlobalSuppressionDisabled, GlobalSuppressionEnabled }

## Public Functions

| InfoBarEntry(Id _id, const QString &_infoText, GlobalSuppressionMode _globalSuppression = GlobalSuppressionDisabled)
| InfoBarEntry(const InfoBarEntry &other)
void | removeCancelButton()
void | setCancelButtonInfo(CallBack callBack)
void | setCancelButtonInfo(const QString &_cancelButtonText, CallBack callBack)
void | setCustomButtonInfo(const QString &_buttonText, CallBack callBack)
void | setDetailsWidgetCreator(const DetailsWidgetCreator &creator)

## Member Type Documentation

### enum InfoBarEntry::GlobalSuppressionMode

## Member Function Documentation

### InfoBarEntry::InfoBarEntry(Id _id, const QString &_infoText, GlobalSuppressionMode _globalSuppression = GlobalSuppressionDisabled)

Default constructs an instance of InfoBarEntry.

### InfoBarEntry::InfoBarEntry(const InfoBarEntry &other)

Copy constructor.

### void InfoBarEntry::removeCancelButton()

### void InfoBarEntry::setCancelButtonInfo(CallBack callBack)

### void InfoBarEntry::setCancelButtonInfo(const QString &_cancelButtonText, CallBack callBack)

### void InfoBarEntry::setCustomButtonInfo(const QString &_buttonText, CallBack callBack)

### void InfoBarEntry::setDetailsWidgetCreator(const DetailsWidgetCreator &creator)